%{?drupal7_find_provides_and_requires}

%global module jquery_update

Name:          drupal7-%{module}
Version:       2.7
Release:       1%{?dist}
Summary:       Upgrades the version of jQuery in Drupal core to a newer version of jQuery

Group:         Applications/Publishing
License:       GPLv2+
URL:           http://drupal.org/project/%{module}
Source0:       http://ftp.drupal.org/files/projects/%{module}-7.x-%{version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: drupal7-rpmbuild >= 7.23-3

# phpcompatinfo (computed from version 2.7)
# <none>

# Bundled
## replace/jquery/1.10/
Provides:      bundled(js-jquery1) = 1.10.2
## replace/jquery/1.9/
Provides:      bundled(js-jquery1) = 1.9.1
## replace/jquery/1.8/
Provides:      bundled(js-jquery1) = 1.8.3
## replace/jquery/1.7/
Provides:      bundled(js-jquery1) = 1.7.2
## replace/jquery/1.5/
Provides:      bundled(js-jquery1) = 1.5.1
## replace/misc/jquery.form.js
## replace/misc/jquery.form.min.js
Provides:      bundled(js-jquery1-form) = 2.69
## replace/misc/1.9/jquery.ba-bbq.js
## replace/misc/1.9/jquery.ba-bbq.min.js
Provides:      bundled(js-jquery1-ba-bbq) = 1.3-20100826
## replace/ui/
Provides:      bundled(js-jquery-ui) = 1.10.2

%description
Upgrades the version of jQuery in Drupal core to a newer version of jQuery.

This package provides the following Drupal module:
* %{module}


%prep
%setup -qn %{module}

: Docs
mkdir -p docs/replace/ui
mv README.txt docs/
mv replace/ui/*.txt docs/replace/ui/

: Remove unneeded file
rm -f replace/ui/ui/.jshintrc


%build
# Empty build section, nothing to build


%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{drupal7_modules}/%{module}
cp -pr * %{buildroot}%{drupal7_modules}/%{module}/


%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE.txt
%doc docs/*
%{drupal7_modules}/%{module}
%exclude %{drupal7_modules}/%{module}/LICENSE.txt
%exclude %{drupal7_modules}/%{module}/docs


%changelog
* Wed Nov 04 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.7-1
- Updated to 2.7 (RHBZ #1273670)
- SA-CONTRIB-2015-158: https://www.drupal.org/node/2598426
- Modified bundled(*) provides

* Sun Oct 11 2015 Shawn Iwinski <shawn.iwinski@gmail.com> - 2.6-1
- Updated to 2.6 (RHBZ #1222725)
- SA-CONTRIB-2015-123: https://www.drupal.org/node/2507729
- Added bundled(*) provides
- Spec cleanup

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Wed Apr 08 2015 Peter Borsa <peter.borsa@gmail.com> - 2.5-1
- Update to 2.5 (BZ 1186191)

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun May 11 2014 Peter Borsa <peter.borsa@gmail.com> - 2.4-1
- Update to upstream 2.4 release for bug fixes
- Upstream changelog for this release is available at https://drupal.org/node/2231919

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 14 2013 Peter Borsa <peter.borsa@gmail.com> - 2.3-1
- New upstream release

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Oct 4 2011 Scott Dodson <sdodson@sdodson.com> - 2.2-1
- Initial Drupal 7 Package
